## com.vividsolutions.jts.operation.relate
Class RelateComputer

    java.lang.Object
      com.vividsolutions.jts.operation.relate.RelateComputer

public class RelateComputer
extends java.lang.Object

Computes the topological relationship between two Geometries.

RelateComputer does not need to build a complete graph structure to compute the IntersectionMatrix. The relationship between the geometries can be computed by simply examining the labelling of edges incident on each node.

RelateComputer does not currently support arbitrary GeometryCollections. This is because GeometryCollections can contain overlapping Polygons. In order to correct compute relate on overlapping Polygons, they would first need to be noded and merged (if not explicitly, at least implicitly).

Version:
  1.7

Constructor Summary
`RelateComputer(GeometryGraph[] arg)`

Method Summary
`IntersectionMatrix` `computeIM()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelateComputer

    public RelateComputer(GeometryGraph[] arg)

Method Detail

### computeIM

    public IntersectionMatrix computeIM()